boost::geometry::traits::point_type< Geometry > Struct Template Reference
traits: adapt geometries

Traits class indicating the type of contained points. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE,(types< Geometry >))

## Detailed Description

### template<typename Geometry>
struct boost::geometry::traits::point_type< Geometry >

Traits class indicating the type of contained points.

Geometries:
  - all geometries except point

Specializations should provide:
  - typedef P type (where P should fulfil the Point concept)

Template Parameters:

  Geometry | geometry

## Member Function Documentation

template<typename Geometry >

boost::geometry::traits::point_type< Geometry >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE | ,
|  | (types< Geometry >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK